rte_fbk_hash_table(3)

NAME
rte_fbk_hash_table

SYNOPSIS

#include <rte_fbk_hash.h>

  Data Fields

char name [RTE_FBK_HASH_NAMESIZE]
uint32_t entries
uint32_t entries_per_bucket
uint32_t used_entries
uint32_t bucket_mask
uint32_t bucket_shift
rte_fbk_hash_fn hash_func
uint32_t init_val
union rte_fbk_hash_entry t []

Detailed Description

The four-byte key hash table structure.

Definition at line 70 of file rte_fbk_hash.h.

Field Documentation

  char name[RTE_FBK_HASH_NAMESIZE]
Name of the hash.

Definition at line 71 of file rte_fbk_hash.h.

  uint32_t entries
Total number of entries.

Definition at line 72 of file rte_fbk_hash.h.

  uint32_t entries_per_bucket
Number of entries in a bucket.

Definition at line 73 of file rte_fbk_hash.h.

  uint32_t used_entries
How many entries are used.

Definition at line 74 of file rte_fbk_hash.h.

  uint32_t bucket_mask
To find which bucket the key is in.

Definition at line 75 of file rte_fbk_hash.h.

  uint32_t bucket_shift
Convert bucket to table offset.

Definition at line 76 of file rte_fbk_hash.h.

  rte_fbk_hash_fn hash_func
The hash function.

Definition at line 77 of file rte_fbk_hash.h.

  uint32_t init_val
For initialising hash function.

Definition at line 78 of file rte_fbk_hash.h.

  union rte_fbk_hash_entry t[]
A flat table of all buckets.

Definition at line 81 of file rte_fbk_hash.h.

Author

Generated automatically by Doxygen for DPDK from the source code.